# SAMConnection::disconnect

(PECL sam >= 0.1.0)

SAMConnection::disconnect — Disconnects from a Messaging Server

### Description

SAMConnection::disconnect ( void ) : bool

Calling the "disconnect" method on a SAMConnection object disconnects the PHP script from a messaging server. No messages can be sent or received after a connection has been disconnected.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Examples

Example #1 Disconnecting from a Messaging Server

`<?php
$conn->disconnect();
?>`

### See Also

- SAMConnection::isConnected
- SAMConnection::connect